Package org.spongepowered.asm.mixin.injection.struct

## Class ModifyVariableInjectionInfo

- java.lang.Object
- - org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo
  - - org.spongepowered.asm.mixin.struct.SpecialMethodInfo
    - - org.spongepowered.asm.mixin.injection.struct.InjectionInfo
      - - org.spongepowered.asm.mixin.injection.struct.ModifyVariableInjectionInfo

- All Implemented Interfaces:
    `ISliceContext`, `IInjectionPointContext`, `ISelectorContext`, `IMessageSink`

      public class ModifyVariableInjectionInfo
      extends InjectionInfo

  Information about a `ModifyVariable` injector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.spongepowered.asm.mixin.injection.struct.InjectionInfo

      `InjectionInfo.AnnotationType, InjectionInfo.HandlerPrefix, InjectionInfo.InjectorOrder`

  - ### Field Summary

    - ### Fields inherited from class org.spongepowered.asm.mixin.injection.struct.InjectionInfo

      `activities, atKey, group, injectionPointAnnotations, injectionPoints, injector, isStatic, slices, targetCount, targetNodes, targets`

    - ### Fields inherited from class org.spongepowered.asm.mixin.struct.SpecialMethodInfo

      `classNode, mixin`

    - ### Fields inherited from class org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo

      `annotation, annotationType, method, methodName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModifyVariableInjectionInfo​(MixinTargetContext mixin, org.objectweb.asm.tree.MethodNode method, org.objectweb.asm.tree.AnnotationNode annotation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getDescription()` |
    `protected Injector` | `parseInjector​(org.objectweb.asm.tree.AnnotationNode injectAnnotation)` |

    - ### Methods inherited from class org.spongepowered.asm.mixin.injection.struct.InjectionInfo

      `addCallbackInvocation, addMessage, addMethod, getInjectedCallbackCount, getInjectorAnnotation, getInjectorPrefix, getMessages, getOrder, getRegisteredAnnotations, getSlice, getSliceId, getTargetCount, inject, isValid, notifyInjected, parse, parseInjectionPoints, parseOrder, parseRequirements, parseSelectors, postInject, preInject, prepare, readAnnotation, readInjectionPoints, register, toString`

    - ### Methods inherited from class org.spongepowered.asm.mixin.struct.SpecialMethodInfo

      `getClassInfo, getClassNode, getMethodName, getTargetClassInfo, getTargetClassNode`

    - ### Methods inherited from class org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo

      `getAnnotation, getAnnotationNode, getDynamicInfo, getDynamicInfo, getDynamicInfo, getElementDescription, getMethod, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.spongepowered.asm.mixin.injection.IInjectionPointContext

      `getAnnotationNode, getMethod`

    - ### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ISelectorContext

      `getAnnotation, getElementDescription, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

- - ### Constructor Detail

    - #### ModifyVariableInjectionInfo

          public ModifyVariableInjectionInfo​(MixinTargetContext mixin,
                                             org.objectweb.asm.tree.MethodNode method,
                                             org.objectweb.asm.tree.AnnotationNode annotation)

  - ### Method Detail

    - #### parseInjector

          protected Injector parseInjector​(org.objectweb.asm.tree.AnnotationNode injectAnnotation)

      Specified by:
        `parseInjector` in class `InjectionInfo`

    - #### getDescription

          protected java.lang.String getDescription()

      Overrides:
        `getDescription` in class `InjectionInfo`